package com.qmth.themis.business.enums;

/**
* @Description: 考试记录 enum
* @Param:
* @return:
* @Author: wangliang
* @Date: 2020/7/25
*/
public enum ExamRecordStatusEnum {

    /**
     * 首次候考
     */
    first_prepare,

    /**
     * 正在答题
     */
    answering,

    /**
     * 已中断
     */
    break_off,

    /**
     * 断点恢复候考
     */
    resume_prepare,

    /**
     * 已结束考试
     */
    finished,

    /**
     * 数据已保存
     */
    persisted;
}
