package com.qmth.themis.mq.templete.impl;

import com.qmth.themis.mq.templete.Concurrently;
import org.apache.rocketmq.client.consumer.listener.ConsumeConcurrentlyContext;
import org.apache.rocketmq.client.consumer.listener.ConsumeConcurrentlyStatus;
import org.apache.rocketmq.common.message.MessageExt;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

import java.util.List;

public class SessionConcurrentlyImpl implements Concurrently {
    private final static Logger log = LoggerFactory.getLogger(SessionConcurrentlyImpl.class);

    @Override
    public ConsumeConcurrentlyStatus consumeMessage(List<MessageExt> list, ConsumeConcurrentlyContext consumeConcurrentlyContext) {
        log.info("ConsumeConcurrentlyStatus is come in");
        return ConsumeConcurrentlyStatus.CONSUME_SUCCESS;//成功
    }
}
